Package Details: the_platinum_searcher 2.2.0-1

Git Clone URL: https://aur.archlinux.org/the_platinum_searcher.git (read-only)
Package Base: the_platinum_searcher
Description: A code search tool similar to ack, the_silver_searcher (ag) and ripgrep (rg).
Upstream URL: https://github.com/monochromegane/the_platinum_searcher
Keywords: ack ag pt ripgrep
Licenses: MIT
Conflicts: the_platinum_searcher-bin
Provides: the_platinum_searcher
Submitter: atweiden
Maintainer: pancho
Last Packager: pancho
Votes: 18
Popularity: 0.000000
First Submitted: 2014-09-01 04:21
Last Updated: 2018-10-11 19:45

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

1 2 Next › Last »

pancho commented on 2018-10-11 19:53

@GenkiSky, thanks for the aclaration. I've fixed it on the last release. Better late than never, I guess ;-)

GenkiSky commented on 2017-08-05 19:01

Re conversation by @klauern and @pancho below, just saying for posterity, you do not need to specify glibc as a dependency [see: https://wiki.archlinux.org/index.php/Makepkg#Usage]. As pointed out, it is assumed to be installed on all systems. Indeed, pacman itself needs glibc to install this package.

pancho commented on 2017-06-15 20:44

Thanks for the heads up, klauern! I've fixed that, and added the README.md and the LICENSE as well.

klauern commented on 2017-06-15 11:33

I suppose this is a minor nit, but I think you're missing a dependency on 'glibc'. I suspect this is probably already satisfied everywhere else because it's such a core component, but for completeness-sake, it should probably be included.

pancho commented on 2017-06-14 04:34

There seems to be some issue¹ with the build. As a workaround, I've created a -bin² package that installs the precompiled build provided upstream.

¹: https://github.com/monochromegane/the_platinum_searcher/issues/180
²: https://aur.archlinux.org/packages/the_platinum_searcher-bin

UPDATE: The fix for the aforementioned build issue was already committed to the upstream repo; I've updated PKGBUILD to include it as well.

pancho commented on 2017-06-06 18:44

Hi! Trying to build the package (with yaourt and yay) produces an empty list of files to be installed.

This can be seen when building:
[...]
==> Installing binaries...
find: ‘/tmp/yaourt-tmp-pancho/aur-the_platinum_searcher/src/bin’: No such file or directory

UPDATE: It was my fault. I had defined GOBIN globally, and that messed up the build. I've updated the PKGBUILD so that this won't happen anymore.

Ambrevar commented on 2017-05-31 06:56

Why is mercurial a dependency?

flaviut commented on 2017-05-29 20:40

I'm having the weirdest problem with this package. When I run pt, it does literally nothing. Strace shows it setting up signal handlers, forking, and then immediately exiting.

The binary package from github works great though, so I have no clue what's wrong. I'm just gonna use that.

mlelansky commented on 2016-11-05 13:17

The package can not build with pacaur.

The message is that pacaur can not move the directory '.cache/pacaur/the_platinum_searcher/src/the_platinum_searcher' to '.cache/pacaur/the_platinum_searcher/src/src/github.com/monochromegane/the_platinum_searcher'

because the directory is not empty.

The same error cames when i delete the hole pacaur cache.

rvega commented on 2016-08-23 12:13

The /usr/bin/pt filename is already used by the tcllib package [1]. Maybe the pt file in this package should be renamed to something like pt-grep ?

[1]: https://www.archlinux.org/packages/community/any/tcllib/files/